<?php
/*************************************************************************************/
/*                                                                                   */
/*      Module historique os-commerce  pour Thelia                                   */
/*      Script : detail_commande_osc.php                                             */
/* 	Description : affiche le detail d'une commande d'une ancienne base os-commerce*/
/*      Copyright (c) ZEOS-FRANCE		                                     */
/*		email : contact@zeos-france.fr   	    	 		     */
/*                                                                                   */
/*      This program is free software; you can redistribute it and/or modify         */
/*      it under the terms of the GNU General Public License as published by         */
/*      the Free Software Foundation; either version 2 of the License, or            */
/*      (at your option) any later version.                                          */
/*                                                                                   */
/*      This program is distributed in the hope that it will be useful,              */
/*      but WITHOUT ANY WARRANTY; without even the implied warranty of               */
/*      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the                */
/*      GNU General Public License for more details.                                 */
/*                                                                                   */
/*      You should have received a copy of the GNU General Public License            */
/*      along with this program; if not, write to the Free Software                  */
/*      Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA    */
/*                                                                                   */
/*************************************************************************************/
?>
<?php
include_once("../../../admin/pre.php");
include_once("../../../admin/auth.php");
include_once(realpath(dirname(__FILE__)) . "/../../../fonctions/authplugins.php");
autorisation("zfhistoriqueoscommerce");
require_once(realpath(dirname(__FILE__)) . "/Zfhistoriqueoscommerce.class.php");

if(! est_autorise("acces_clients")) exit; 

//identifiant de la commande
$orderid = $_REQUEST["orderid"];

//identifiant du client
$customerid = $_REQUEST["custid"];

$objhisto = new Zfhistoriqueoscommerce();
if($objhisto->isDBinfos_loaded==0) {
	
}else{
	/* afficher la liste des commandes du client */
	$tabresult = $objhisto->getorderdetail($customerid, $orderid);
	//print_r($tabresult);
	if(is_array($tabresult)) {
		$ligne = $tabresult[0];
	}

}

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<link href="../../../admin/styles.css" rel="stylesheet" type="text/css" />

</head>
<body  width="100%">
<?php
if($objhisto->isDBinfos_loaded==1) {
?>
<div id="bloc_description">
<!-- infos livraison //-->
<table width="100%" cellpadding="5" cellspacing="0" class="tabclient">
	<tr class="fonce"><td class="designation" width="140">Commande no : </td><td><?=$orderid?></td></tr>
    <tr class="claire">
       <td class="designation">E-mail du client</td> <td><?=$ligne["email"]?></td>
     </tr>
    <tr class="fonce">
       <td class="designation">Date de la commande</td> <td><?=$ligne["date_commande"]?></td>
     </tr>
    <tr class="claire">
       <td class="designation">Type de paiement</td> <td><?=$ligne["type_paiement"]?></td>
     </tr>
    <tr class="fonce">
       <td class="designation">Statut de la commande</td> <td><?=$ligne["statut_commande"]."<br>"; if(trim($ligne["date_maj"])!="//") echo $ligne["date_maj"] ?></td>
     </tr>
    <tr class="claire">
       <td class="designation">Montant TTC de la commande</td> <td><?=$ligne["montant_commande"] ?></td>
     </tr>

 
	<tr class="claire"><td class="designation" width="140" colspan="2">FACTURATION :</td></tr>
     <tr class="fonce">
       <td class="designation">Pr&eacute;nom Nom</td><td><?=$ligne["facturation_nom"]?></td>
     </tr>
     <tr class="claire">
       <td class="designation">Adresse</td>      <td><?=$ligne["facturation_adresse1"]?></td>
     </tr>
     <tr class="fonce">
       <td class="designation"></td><td><?=$ligne["facturation_adresse2"]?></td>
     </tr>
     <tr class="claire">
       <td class="designation">Code postal</td>   <td><?=$ligne["facturation_codepostal"]?></td>
     </tr>
     <tr class="fonce">
       <td class="designation">Ville</td><td><?=$ligne["facturation_ville"]?></td>
     </tr>
     <tr class="claire">
       <td class="designation">Pays</td><td><?=$ligne["facturation_pays"]?></td>
     </tr>
     <tr class="fonce">
     </tr>
<!-- fin infos facturation //-->

<!-- infos livraison //-->
	<tr class="claire"><td class="designation" width="140" colspan="2">LIVRAISON :</td></tr>
     <tr class="fonce">
       <td class="designation">Pr&eacute;nom Nom</td><td><?=$ligne["livraison_nom"]?></td>
     </tr>
     <tr class="claire">
       <td class="designation">Adresse</td>       <td><?=$ligne["livraison_adresse1"]?></td>
     </tr>
     <tr class="fonce">
       <td class="designation"></td><td><?=$ligne["livraison_adresse2"]?></td></td>
     </tr>
     <tr class="claire">
       <td class="designation">Code postal</td>      <td><?=$ligne["livraison_codepostal"]?></td>
     </tr>
     <tr class="fonce">
       <td class="designation">Ville</td>       <td><?=$ligne["livraison_ville"]?></td>
     </tr>
     <tr class="claire">
       <td class="designation">Pays</td>       <td><?=$ligne["livraison_pays"]?></td>
     </tr>
     <tr class="fonce">
     </tr>
<!-- fin infos livraison //-->
	</table>
<!-- debut detail commande //-->


<!-- fin detail commande //-->
<table width="100%" cellpadding="5" cellspacing="0" class="tabclient">
	<tr class="fonce"><td class="designation" width="140" colspan="10">Lignes de la commande</td></tr>
<tr class="fonce">
	<td>ID</td>
	<td>REF</td>
	<td>LIBELLE PRODUIT</td>
	<td>PRIX HT</td>
	<td>PRIX TTC</td>
	<td>QTE</td>
</tr>
<?
/* 
liste des lignes articles
*/
$tabresult = $objhisto->getOrderLines($orderid);
if(is_array($tabresult)) {
	$color="fonce";

	for($i=0;$i<sizeof($tabresult);$i++) {
		$ligne_prod = $tabresult[$i];
		if($color=="claire") {
			$color="fonce";
		}else{
			$color="claire";
		}
		
		?>
			<tr class="<?=$color?>" style="font-size:10px;">
				<td><?=$ligne_prod["id"]?></td>
				<td><?=$ligne_prod["ref_produit"]?></td>
				<td><?=$ligne_prod["libelle_produit"]?></td>
				<td align="right"><?=$ligne_prod["prix_ht"]?></td>
				<td align="right"><?=$ligne_prod["prix_ttc"]?></td>
				<td>x<?=$ligne_prod["qte"]?></td>
			</tr>

		<?
	}
}

?>

</table>

<!-- totaux //-->
<table width="100%" cellpadding="5" cellspacing="0" class="tabclient">
<tr><td>Sous-Total</td><td align="right"><?=$ligne["montant_soustotal"]?></td></tr>
<tr><td>Montant total de la livraison</td><td align="right"><?=$ligne["montant_total_livraison"]?></td></tr>
<tr><td>Montant TVA</td><td align="right"><?=$ligne["montant_total_tva"]?></td></tr>
<tr><td><b>Montant Total TTC</b></td><td align="right"><b><?=$ligne["montant_commande"]?></b></td></tr>
</table>
<!-- fin totaux //-->

<?php
}else{
	//pb : constantes non definies !	
	echo CONST_Warning_configure_file;
	if(CONST_HC_osCommerce_debug) echo "<br>debug : host=".CONST_osCommerce_Host." | DB = ".CONST_osCommerce_DB." | User = ".CONST_osCommerce_User;

}
?>
</div>

</body>
</html>
