<?php
/*************************************************************************************/
/*                                                                                   */
/*      Module Zfhistorique des commandes Os-Commerce pour Thelia                      */
/*                                                                                   */
/*      Copyright (c) ZEOS-FRANCE                                                    */
/*      email : contact@zeos-france.fr                                               */
/*                                                                                   */
/*      This program is free software; you can redistribute it and/or modify         */
/*      it under the terms of the GNU General Public License as published by         */
/*      the Free Software Foundation; either version 2 of the License, or            */
/*      (at your option) any later version.                                          */
/*                                                                                   */
/*      This program is distributed in the hope that it will be useful,              */
/*      but WITHOUT ANY WARRANTY; without even the implied warranty of               */
/*      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the                */
/*      GNU General Public License for more details.                                 */
/*                                                                                   */
/*      You should have received a copy of the GNU General Public License            */
/*      along with this program; if not, write to the Free Software                  */
/*      Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA    */
/*                                                                                   */
/*************************************************************************************/

include_once(realpath(dirname(__FILE__)) . "/../../../fonctions/authplugins.php");
autorisation("zfhistoriqueoscommerce");
require_once(realpath(dirname(__FILE__)) . "/Zfhistoriqueoscommerce.class.php");

?>
<!-- fin liste des commandes os-commerce //-->

<div class="entete_liste_client">
	<div class="titre" style="cursor:pointer" onclick="$('#pliantlistecommandes_oscommerce').show('slow');">LISTE DES COMMANDES OS-COMMERCE DE CE CLIENT</div>
</div>
<div class="blocs_pliants_prod" id="pliantlistecommandes_oscommerce">
	<ul class="ligne1">
		<li class="cellule" style="width:130px;">N&deg; DE COMMANDE</li>
		<li class="cellule" style="width:130px;">DATE &amp; HEURE</li>
		<li class="cellule" style="width:80px;text-align:center">MONTANT EN &euro;</li>
		<li class="cellule" style="width:150px;text-align:center">STATUT</li>
		<li class="cellule" style="width:5px;"></li>
		<li class="cellule" style="width:5px;"></li>
	</ul>
<div  class="ligne" style="height:200px;width:100%;overflow-y:auto;">
<?php
$objhisto = new Zfhistoriqueoscommerce();
if($objhisto->isDBinfos_loaded==0) {
	echo CONST_Warning_configure_file;
	if(CONST_HC_osCommerce_debug) echo "<br>debug : host=".CONST_osCommerce_Host." | DB = ".CONST_osCommerce_DB." | User = ".CONST_osCommerce_User;
}else{
	/* afficher la liste des commandes du client */
	$refid = $_REQUEST["ref"];
	$tabresult = $objhisto->getorders($refid);
	
	if(is_array($tabresult)) {
		for($i=0;$i<sizeof($tabresult);$i++) {
		$ligne = $tabresult[$i];
		$orderid = $ligne["num_commande"];
		$chemin = "../client/plugins/";
		$lien_detail_commande_osc = '<a class="txt_vert_11" href="'.$chemin.'zfhistoriqueoscommerce/detail_commande_osc.php?orderid='.$orderid.'&custid='.$refid.'" target="iframe_commandes_oscommerce"';
		$lien_detail_commande_osc .=' onclick="$(\'#bloc_detail_commandes_oscommerce\').show(\'slow\');">';

		?>
		<ul class="poipoligne">
		<li class="cellule" style="width:130px;"><?=$lien_detail_commande_osc.$ligne["num_commande"]."</a>"?></li>
		<li class="cellule" style="width:130px;"><?=$ligne["date_commande"]?></li>
		<li class="cellule" style="width:70px;text-align:right"><?=$ligne["montant_commande"]?></li>
		<li class="cellule" style="width:169px;text-align:right"><?=$ligne["statut_commande"]?></li>
		<li class="cellule" style="width:1px;"></li>
		<li class="cellule" style="width:1px;"></li>
		</ul>
		<?
		}
		
	}
}

?>
<!-- debut iframe detail d'une commande os-commerce //-->
<div id="bloc_detail_commandes_oscommerce" style="position:absolute;left:50px;z-index:0;width:600px;display:none;border: grey 2px solid;">
	<div class="entete_liste_client titre" style="width:100%;">DETAIL DE COMMANDE OS-COMMERCE   <a style="cursor:pointer" onclick="$('#bloc_detail_commandes_oscommerce').hide();">Fermer</a></div>
	<div>
		<iframe id="iframe_commandes_oscommerce" name="iframe_commandes_oscommerce" width="605" height="450" src="about:blank" frameborder="0" style="overflow-x:hidden;"></iframe>
	</div>
</div>

<!-- fin iframe detail d'une commande os-commerce //-->


</div>

<div class="bloc_fleche" style="cursor:pointer" onclick="$('#pliantlistecommandes_oscommerce').hide();"><img src="gfx/fleche_accordeon_up.gif" /></div>
</div>

<!-- fin liste des commandes os-commerce //-->



